libglom-1.22 1.22.0

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Glom::FieldTypes Class Reference

## Public Member Functions

| FieldTypes (const Glib::RefPtr< Gnome::Gda::Connection >& gda_connection)
virtual | ~FieldTypes ()
Glib::ustring | get_string_name_for_gdavaluetype (GType field_type) const
GType | get_fallback_type_for_gdavaluetype (GType field_type) const
guint | get_types_count () const

## Constructor & Destructor Documentation

Glom::FieldTypes::FieldTypes | ( | const Glib::RefPtr< Gnome::Gda::Connection > & | gda_connection | ) |

virtual Glom::FieldTypes::~FieldTypes | ( |  | ) |

virtual

## Member Function Documentation

GType Glom::FieldTypes::get_fallback_type_for_gdavaluetype | ( | GType | field_type | ) | const

Glib::ustring Glom::FieldTypes::get_string_name_for_gdavaluetype | ( | GType | field_type | ) | const

guint Glom::FieldTypes::get_types_count | ( |  | ) | const

The documentation for this class was generated from the following file:

- libglom/data_structure/fieldtypes.h